VLESS is the next generation of XRAY with more advantages like lightweight transmission protocol, the encryption is more flexible, and using UUID for authentication method without alterId. in some condition, VLESS is faster than VLESS. VLESS is available on Windows, macOS, BSD, iOS, and Android.

Choose Servers Location

Worldwide Xray Vless+WebSocket Servers Location

Create Your Xray Vless+WebSocket Private Account

Xray Vless+WebSocket
AUSTRALIA

1 Server Avalaible Select location
Xray Vless+WebSocket
BRAZIL

1 Server Avalaible Select location
Xray Vless+WebSocket
CANADA

1 Server Avalaible Select location
Xray Vless+WebSocket
FRANCE

1 Server Avalaible Select location
Xray Vless+WebSocket
GERMANY

1 Server Avalaible Select location
Xray Vless+WebSocket
INDONESIA

2 Server Avalaible Select location
Xray Vless+WebSocket
JAPAN

1 Server Avalaible Select location
Xray Vless+WebSocket
NETHERLANDS

1 Server Avalaible Select location
Xray Vless+WebSocket
PHILIPPINES

1 Server Avalaible Select location
Xray Vless+WebSocket
POLAND

1 Server Avalaible Select location
Xray Vless+WebSocket
RUSSIA

1 Server Avalaible Select location
Xray Vless+WebSocket
SINGAPORE

3 Server Avalaible Select location
Xray Vless+WebSocket
UNITED KINGDOM

1 Server Avalaible Select location
Xray Vless+WebSocket
UNITED STATES

2 Server Avalaible Select location

What is Xray Vless+WebSocket?

VLESS is Xray's latest lightweight transmission protocol. Unlike Vmess, VLESS does not depend on the system time. The authentication method is also UUID, but no alterId is required.

VLESS supports diversion fallback based on the length of the first packet, which can forward the length <18, or authentication failure, or invalid protocol, to the specified address. Note that fallback is only applicable in TCP mode, other modes cannot have this configuration, and the value cannot be empty. (There will be an error)

VLESS is currently NOT encrypted, so the safest way to use VLESS is TLS encrypted channel. The minimum version of Xray-Core that supports VLESS is v4.27+. Server needs to keep updated, and the client also must go with the latest version.